<?php

namespace App\Data\Woo;

use App\Data\BaseData;

class MetaDataData extends BaseData
{
    public function __construct(
        public readonly ?int $id,
        public readonly ?string $key,
        public readonly mixed $value,
    ) {}

    protected static function casts(): array
    {
        return [
            'id'    => 'int',
            'key'   => 'string',
            'value' => 'mixed',
        ];
    }
}
